
package de.ivu.elect.presentation.benutzerverwaltung.exchange;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.boundary.RolleImporter;
import de.ivu.elect.business.benutzerverwaltung.entity.RolleExchangeContext;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractImportFormatFestlegenView;
import de.ivu.elect.presentation.exchange.ImportDescription;

@Named(RolleImportFormatFestlegenView.COMPONENT_NAME)
@View(viewId = RolleImportFormatFestlegenView.VIEW_ID, useCase = UseCasePermission.ROLLE_IMPORTIEREN)
public class RolleImportFormatFestlegenView extends AbstractImportFormatFestlegenView<RolleExchangeContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "rolleImportFormatFestlegenView";

  public static final String VIEW_ID = "/benutzerverwaltung/rolle-import-format-festlegen.xhtml";

  @Inject
  private RolleImportDescription rolleImportDescription;

  @Inject
  private RolleImporter rolleImporter;

  public RolleImportFormatFestlegenView() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return rolleImportDescription;
  }

  @Override
  protected RolleImporter getImporter() {
    return rolleImporter;
  }

  @Override
  protected RolleExchangeContext getContext() {
    return new RolleExchangeContext(getMandant());
  }
}
